Subject: Re: [evb] Re: [PATCH][RFC] net/bridge: add basic VEPA support

From: Arnd Bergmann <[email-masked]>
Date: Mon, 10 Aug 2009 17:23:10 +0200

On Friday 07 August 2009, Paul Congdon (UC Davis) wrote:
> 
> I don't think your scheme works too well because broadcast packet coming
> from other interfaces on br0 would get replicated and sent across the wire
> to ethB multiple times.

Right, that won't work. So the bridge patch for the hairpin turn
is still the best solution. Btw, how will that interact with
the bride-netfilter (ebtables) setup? Can you apply any filters
that work on current bridges also between two VEPA ports while
doing the hairpin turn?

	Arnd <><